View Issue Details

IDProjectCategoryView StatusLast Update
0001773OpenMPTFile Format Supportpublic2024-05-25 22:28
ReporterSaga Musix Assigned ToSaga Musix  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target VersionOpenMPT 1.32 / libopenmpt 0.8 (goals)Fixed in VersionOpenMPT 1.32 / libopenmpt 0.8 (goals) 
Summary0001773: Better support for some auto slide commands
Description

For some formats, OpenMPT's loaders do some fixups to cater for automatic slide commands; most of the time this support breaks across any pattern boundaries, though. As yet another format is going to be added to this list (0001762), it really is about time to think about a better mechanism to support auto slides at runtime.

Formats and commands that need to be supported:

  • ULT + XMF
    • Tone portamento (reset only by new note or tone portamento - not by porta up / down commands)
  • 669
    • Portamento up / down, tone portamento (reset by any new command or note)
  • STK
    • Some SoundTracker variants have automatic volume slides in addition to normal slides. They only continue as long as another effect is running on the same channel.
  • FAR
    • Command 3 parameter indicates how many rows a slide should last.
    • Also has a similar weird volume slide.
  • GMC
    • Portamento up / down
  • STP
    • Portamento up / down (in addition to non-automatic variant, stopped by other portamentos but not tone portamento)
    • Fine portamento up / down (in addition to non-automatic variant, stopped by other portamentos but not tone portamento)
    • Tone portamento (stopped by parameter 0 or new note)
    • Fine volume slides (stopped by volume slides and Set Volume command or new note)
    • Global volume slide (stopped by Set Global Volume or parameter 0, NOT by new note)
    • Vibrato (stopped by parameter 0 or new note)
    • Tremolo (stopped by low nibble 0 or new note)
  • Puma
    • Automatic portamento, but it stops at the end of the pattern and resets to the original note pitch

We need to investigate for each command which conditions reset the automatic command. For example, is auto tone portamento only reset by new notes or also by other pitch slides, or any other command?

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Relationships

related to 0001541 new Farandole Composer tempo and effects are wrong :-( 
related to 0001762 resolvedSaga Musix Game Music Creator (.gmc) support 
related to 0001543 resolvedSaga Musix ULT persistent tone portamento is not persistent. 

Activities

Saga Musix

Saga Musix

2024-05-25 22:28

administrator   ~0005955

Implemented in r20850. FAR will need more work, and maybe also 669.

Issue History

Date Modified Username Field Change
2024-04-08 20:46 Saga Musix New Issue
2024-04-08 20:54 Saga Musix Description Updated
2024-04-08 21:05 Saga Musix Relationship added related to 0001541
2024-04-08 21:05 Saga Musix Relationship added related to 0001762
2024-04-09 17:04 Saga Musix Relationship added related to 0001543
2024-05-08 20:55 Saga Musix Description Updated
2024-05-08 21:27 Saga Musix Description Updated
2024-05-08 21:28 Saga Musix Description Updated
2024-05-08 21:36 Saga Musix Description Updated
2024-05-08 21:37 Saga Musix Description Updated
2024-05-08 21:45 Saga Musix Description Updated
2024-05-08 21:49 Saga Musix Description Updated
2024-05-08 21:52 Saga Musix Description Updated
2024-05-25 15:23 Saga Musix Description Updated
2024-05-25 15:29 Saga Musix Description Updated
2024-05-25 19:21 Saga Musix Assigned To => Saga Musix
2024-05-25 19:21 Saga Musix Status new => assigned
2024-05-25 19:21 Saga Musix Target Version => OpenMPT 1.32 / libopenmpt 0.8 (goals)
2024-05-25 22:28 Saga Musix Note Added: 0005955
2024-05-25 22:28 Saga Musix Status assigned => resolved
2024-05-25 22:28 Saga Musix Resolution open => fixed
2024-05-25 22:28 Saga Musix Fixed in Version => OpenMPT 1.32 / libopenmpt 0.8 (goals)